System requirements and browsers

Google Drive and the Docs editors (Docs, Sheets, Slides, Forms & Drawings) work with the following operating systems and browsers.

Requirements for Drive & Docs editors

Browsers

Drive, Docs, Sheets, and Slides work with the two most recent versions of the following browsers. Make sure cookies and JavaScript are turned on for the browser.

  • Chrome
  • Firefox
  • Safari (not supported on Windows)
  • Internet Explorer

Other browsers might work with the Google Docs editors, but you might not be able to use all of the features.

Google Drive won't work with Chrome 23, Firefox 23, IE9, Safari 6, or older browser versions. You'll need to upgrade to a newer browser version to access all your files in Drive.
Computer operating systems

Windows

  • Windows XP and above

Mac

  • Lion (10.7) and above

To see which version your computer is using, choose an option below:

Linux

Google Drive isn't currently available for the Linux operating system. Linux users can use Google Drive on the web at drive.google.com or through the Google Drive mobile app.

Android phone and tablet requirements

To download the apps for Google Drive, Google Docs, Google Sheets, and Google Slides, make sure your Android phone or tablet has Android version 4.0 or higher.

Check your Android version

  1. On your Android device, Select SettingsAbout.
  2. Your version number is listed under “Version.”

If you have an older version of Android than specified above, you won’t be able to download the Docs or Sheets apps, or upgrade to the new version of the Drive app.

Note: Our help content reflects the latest version of the Google Drive, Docs and Sheets apps. While you can continue to use an older version of the Drive app, we encourage updating to the most recent version to take advantage of new features. Also, older Drive app versions are not compatible with the new Docs and Sheets apps.

Download the latest app version

iPhone and iPad requirements

To download the Google Drive, Docs, Sheets, and Slides app, you need iOS version 7.0 or higher. The apps aren’t available on previous versions.

Check your iOS version

  1. On your iPhone or iPad, touch Settings.
  2. Select General.
  3. Touch About. You’ll see your iOS version next to “Version.”

Note: If you use older versions of iOS, you will be able to view, but not edit, your files.

Older Drive apps won't allow editing

If you’re running iOS 6, you can still view files using the Google Drive app but you won’t be able to edit your files. To edit your files, update your device to iOS 7 or higher and install the Docs, Sheets, or Slides app.

Download the latest app version

Matt is a Docs & Drive expert and author of this help page. Leave him feedback below about the page.

Was this article helpful?